// Copyright F3 Authors
// SPDX-License-Identifier: MIT

package f3

import (
	"fmt"

	"code.forgejo.org/f3/gof3/v3/f3"
	"code.forgejo.org/f3/gof3/v3/tree/generic"
)

func NewTopicPath(id string) generic.Path {
	return generic.NewNodePathFromString(NewTopicPathString(id))
}

func NewTopicPathString(id string) string {
	return fmt.Sprintf("%s/%s", TopicsPathString, id)
}

func NewTopicReference(id string) *f3.Reference {
	return f3.NewReference(NewTopicPathString(id))
}
